コンテンツへスキップ

GLM Image

統合

モデルID glm-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/glm-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.05 50 APIクレジット このページで実行

APIキーを取得
Zhipu AI テキストから画像 #text-to-image

プロンプト拡張、調整可能なステップ数とガイダンス、呼び出しごとに最大4枚に対応するテキスト画像生成モデル

Zhipu AI · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

画像生成を導くテキスト指示。

デフォルト square_hd

出力画像の寸法。

num_images デフォルト 1

生成する画像数。

詳細設定 output_format · num_inference_steps · guidance_scale · seed · enable_safety_checker · enable_prompt_expansion
output_format デフォルト jpeg

生成される画像の形式。

デフォルト 30

拡散デノイズのステップ数で表す画像品質制御。ステップを増やすと通常は結果が改善します。

デフォルト 1.5

classifier-free guidance によるプロンプト遵守度。値を上げると、生成結果がプロンプトにより忠実になります。

再現可能な画像生成用のランダムシード。画像を再現するには、プロンプトとシードの両方を再利用します。

POST /run/glm-image?wait=20 見積もり → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/glm-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

GLM Imageについて

テキストを正確に描画することに重点を置き、テキストプロンプトから画像を生成します。`image_size`は10種類のプリセット、`num_inference_steps`は10〜100、`guidance_scale`は1〜10から設定し、`seed`も指定できます。リクエストごとに最大4枚をjpegまたはpngで生成します。オプションのプロンプト拡張では、LLMがプロンプトを書き換えます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
画像生成を導くテキスト指示。
image_size任意
型object
デフォルトsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9portrait_3_2landscape_3_2portrait_hdlandscape_hd
出力画像の寸法。
num_inference_steps任意
型integer
デフォルト30
10 – 100
拡散デノイズのステップ数で表す画像品質制御。ステップを増やすと通常は結果が改善します。
guidance_scale任意
型number
デフォルト1.5
1 – 10
classifier-free guidance によるプロンプト遵守度。値を上げると、生成結果がプロンプトにより忠実になります。
seed任意
型integer | null
再現可能な画像生成用のランダムシード。画像を再現するには、プロンプトとシードの両方を再利用します。
num_images任意 num_outputs
型integer
デフォルト1
1 – 4
生成する画像数。
enable_safety_checker任意
型boolean
デフォルトtrue
生成画像のNSFWスクリーニング制御。安全でないと判定された画像は黒画像に置き換えられます。スクリーニングを無効化できるのは認証済みアカウントのみで、認証のないリクエストはこの設定に関係なくチェックされます。
output_format任意
型enum
デフォルトjpeg
jpegpng
生成される画像の形式。
enable_prompt_expansion任意
型boolean
デフォルトfalse
Trueで有効になるLLMベースのプロンプト拡張。生成結果の詳細度と品質を向上させます。
必須 正式名称(こちらも使用可能)

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "glm-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, width, height, content_type}生成画像のURLを含むリスト。
timings
object
seed
integer画像生成シード。入力でシードを省略した場合はランダムに選ばれた値を含み、それ以外では指定値を繰り返します。
has_nsfw_concepts
array of boolean生成画像に NSFW 概念が含まれるかどうかを示します。
prompt
string画像生成時に使用するプロンプト。

その他のモデル: テキストから画像

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/glm-image.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt